InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::SingleAxisCapability Struct Reference
Inheritance diagram for inertia::SingleAxisCapability:
[legend]
Collaboration diagram for inertia::SingleAxisCapability:
[legend]

## Public Member Functions
| SingleAxisCapability (uint8_t sensorID, uint8_t const headerRevision=1, uint8_t const sensorRevision=0)
| SingleAxisCapability (uint8_t const *in, const unsigned _length)
| SingleAxisCapability (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString (uint16_t const globalRate) const override
unsigned | GetInstanceMask () const override
Public Member Functions inherited from inertia::AxisConfig
uint8_t | GetHeaderRevision () const
uint8_t | GetSensorRevision () const
uint8_t | GetSensorID () const
unsigned | GetHeaderSize () const
unsigned | GetLength () const
AxisConfigDescriptorType | GetDescriptorType () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::AxisConfig
static std::vector< std::pair< ConfigType, uint8_t > > | GetConfigsWithCapabilities ()
static bool | HasDescriptorType (ConfigType const config, uint8_t const _sensorID)

## Public Attributes
uint8_t | instanceMask
SpecificSensorSettingsPtr | specificCapabilities

## Additional Inherited Members
Protected Member Functions inherited from inertia::AxisConfig
| AxisConfig (ConfigType const config, AxisConfigDescriptorType const _descriptorType, uint8_t const _sensorID, uint8_t const _headerRevision, uint8_t const _sensorRevision)
| AxisConfig (ConfigType const config, uint8_t const *in, const unsigned _length)
| AxisConfig (ConfigType const config, std::wstring const &argString)
| AxisConfig (AxisConfig const &)=default
AxisConfig & | operator= (AxisConfig const &)=default
void | SetLength (std::vector< uint8_t > &out, size_t const offset, size_t const cfgLen) const
Static Protected Member Functions inherited from inertia::AxisConfig
static const po::options_description | GetOptionDescription ()
Protected Attributes inherited from inertia::AxisConfig
ConfigType | configType
AxisConfigDescriptorType | descriptorType
uint8_t | headerRevision
uint8_t | sensorRevision
uint8_t | sensorID
unsigned | length
std::vector< uint8_t > | unparsedData

## Member Function Documentation

## ◆ GetBytes()

void inertia::SingleAxisCapability::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Implements inertia::AxisConfig.

## ◆ GetInstanceMask()

unsigned inertia::SingleAxisCapability::GetInstanceMask | ( |  | ) | const
| override virtual

Implements inertia::AxisConfig.

## ◆ ToSimpleString()

const std::wstring inertia::SingleAxisCapability::ToSimpleString | ( | uint16_t const | globalRate | ) | const
| override virtual

Implements inertia::AxisConfig.

## ◆ ToString()

const std::wstring inertia::SingleAxisCapability::ToString | ( |  | ) | const
| override virtual

Implements inertia::AxisConfig.

The documentation for this struct was generated from the following file:

- SingleAxisCapability.h